Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.glyph
Class HelixGlyph

    java.lang.Object
      org.biojava.bio.gui.glyph.HelixGlyph

All Implemented Interfaces:
  Glyph

    public class HelixGlyph

extends Object
implements Glyph

A Glyph that paints a Helix within the bounds

Since:
  1.5
Author:
  Mark Southern

Constructor Summary
`HelixGlyph()`
`HelixGlyph(Rectangle2D.Float bounds)`

Method Summary
`Rectangle2D.Float` | `getBounds()`
`void` | `render(Graphics2D g)`
`void` | `setBounds(Rectangle2D.Float r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HelixGlyph

    public HelixGlyph()

### HelixGlyph

    public HelixGlyph(Rectangle2D.Float bounds)

Method Detail

### getBounds

    public Rectangle2D.Float getBounds()

  Specified by:
    `getBounds` in interface `Glyph`

### setBounds

    public void setBounds(Rectangle2D.Float r)

  Specified by:
    `setBounds` in interface `Glyph`

### render

    public void render(Graphics2D g)

  Specified by:
    `render` in interface `Glyph`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD